Bug Hunting Session
Bug 95488 - CRASH: When open Report wizard Step 2
Summary: CRASH: When open Report wizard Step 2
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: Other All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-11-01 07:04 UTC by sawakaze
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Crash Report (57.41 KB, text/plain)
2015-11-01 07:04 UTC, sawakaze
Details
bt with debug symbols (5.55 KB, text/plain)
2015-11-01 10:52 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2015-11-01 07:04:00 UTC
Created attachment 120151 [details]
Crash Report

Hi, 

After following steps, application crash is caused.

(1) open BASE File.
(2) Open Report Wizard. ie, press "Use Wizard to Create Report" on Task.
(3) After select "field in report" on Step 1, press next.
--->  Application Crash.

I confirm it on LibreOffice Version 5.1.0.0.alpha1 on linux.
I do "NOT" confirm it on LibreOffice Version 5.0.2 on linux.

Attachement is gdbtrace.

Regards,
Sawakaze.
Comment 1 Shinji Enoki 2015-11-01 07:21:07 UTC
I reproduced in the following environment.

Version: 5.1.0.0.alpha1
Build ID: a8e4f75fe264f6ece37c154951cff53f2f4fa3e4
Locale:ja-JP (ja_JP.utf8)
Debian wheezy
Comment 2 JO3EMC 2015-11-01 07:26:29 UTC
also reproduced in the following environmen.

Version: 5.1.0.0.alpha1 (Win_x86)
Build ID: a8e4f75fe264f6ece37c154951cff53f2f4fa3e4
Locale: ja-JP (ja_JP)
Windows 8.1 on 64bit-CPU
Comment 3 Julien Nabet 2015-11-01 10:52:31 UTC
Created attachment 120156 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 4 Julien Nabet 2015-11-01 10:53:08 UTC
regression+crash+not cornercase=>increase importance
Comment 5 Commit Notification 2015-11-05 10:03:39 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=609b22787392be4c2eac6fe098a70341a4c204e4

fix tdf#95488, crash in report wizard

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 raal 2015-11-11 09:46:13 UTC
fixed, see comment 5
Comment 7 Julien Nabet 2015-11-12 19:58:30 UTC
Thank you Noel for the fix! Ok for me now :-)